%define pam_redhat_version 0.99.6-1

%define libname %mklibname %name 0

%define with_prelude 0
%{?_without_prelude: %{expand: %%global with_prelude 0}}
%{?_with_prelude: %{expand: %%global with_prelude 1}}

Summary:	A security tool which provides authentication for applications
Name:		pam
Version:	0.99.6.0
Release:	%mkrel 3
License:	GPL or BSD
Group:		System/Libraries
Source0:	ftp://ftp.kernel.org/pub/linux/libs/pam/pre/library/Linux-PAM-%{version}.tar.bz2
Source1:	pam-redhat-%{pam_redhat_version}.tar.bz2
Source2:	other.pamd
Source3:	system-auth.pamd
Source4:	pam-0.99.3.0-README.update
Source9:	system-auth.5
Source10:	config-util.5

# RedHat patches
Patch01:	pam-0.99.5.0-redhat-modules.patch
Patch21:	pam-0.78-unix-hpux-aging.patch
Patch34:	pam-0.99.4.0-dbpam.patch
Patch86: pam-0.99.5.0-console-no-ainit.patch

# Mandriva specific sources/patches

# (blino) default permission set in Mandriva
#         use /etc/security/console.perms.d/50-mandriva.perms whenever possible
Source500:	pam-mandriva.perms
#         else patch 50-default.perms
Patch500:	Linux-PAM-0.99.6.0-mdvperms.patch

# (fl) fix infinite loop
Patch501:	pam-0.74-loop.patch
# (fl/blino) reset to id 0 if user/group isn't found instead of stopping processing
Patch504:	Linux-PAM-0.99.3.0-console-reset.patch
# (fc) 0.75-29mdk don't complain when / is owned by root.adm
Patch508:	Linux-PAM-0.99.3.0-pamtimestampadm.patch
Patch511:	Linux-PAM-0.99.3.0-verbose-limits.patch
# (fl) pam_xauth: set extra groups because in high security levels
#      access to /usr/X11R6/bin dir is controlled by a group
Patch512:	Linux-PAM-0.99.3.0-xauth-groups.patch
# (tv/blino) add defaults for nice/rtprio in /etc/security/limits.conf
Patch517:	Linux-PAM-0.99.3.0-enable_rt.patch
# (blino) fix parallel build (pam_console)
Patch521:	Linux-PAM-0.99.3.0-pbuild-rh.patch

Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	cracklib-dicts
Conflicts:	initscripts < 3.94
Requires(pre):	rpm-helper
BuildRequires:	bison cracklib-devel flex
BuildRequires:	linuxdoc-tools db1-devel automake1.8
BuildRequires:	openssl-devel
# (blino) we don't want SE Linux, so conflicts since there is no configure switch
BuildConflicts:	libselinux-devel
%if %with_prelude
BuildRequires:	prelude-devel
%else
BuildConflicts:	prelude-devel
%endif

Obsoletes:	pamconfig
Provides:	pamconfig
Url:		http://www.us.kernel.org/pub/linux/libs/pam/index.html

%description
PAM (Pluggable Authentication Modules) is a system security tool that
allows system administrators to set authentication policy without
having to recompile programs that handle authentication.

%package	doc
Summary:	Additional documentation for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}

%description	doc
PAM (Pluggable Authentication Modules) is a system security tool that
allows system administrators to set authentication policy without
having to recompile programs that handle authentication.

This is the documentation package of %{name}

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Conflicts:	%{name} < 0.77-10mdk

%description -n	%{libname}
PAM (Pluggable Authentication Modules) is a system security tool that
allows system administrators to set authentication policy without
having to recompile programs that handle authentication.

This package contains the librairies for %{name}

%package -n	%{libname}-devel
Summary:	Development headers and libraries for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel <= 0.77-9mdk

%description -n	%{libname}-devel
PAM (Pluggable Authentication Modules) is a system security tool that
allows system administrators to set authentication policy without
having to recompile programs that handle authentication.

This package contains the development librairies for %{name}

%prep
%setup -q -n Linux-PAM-%{version} -a 1

# (RH)
%patch01 -p1 -b .redhat-modules
%patch21 -p1 -b .unix-hpux-aging
%patch34 -p1 -b .dbpam
%patch86 -p1 -b .no-ainit

# (Mandriva)
%patch500 -p1 -b .mdvperms
%patch501 -p1 -b .loop
%patch504 -p1 -b .console-reset
%patch508 -p1 -b .pamtimestampadm
%patch511 -p1 -b .verbose-limits
%patch512 -p1 -b .xauth-groups
%patch517 -p1 -b .enable_rt
%patch521 -p1 -b .pbuild-rh

mkdir -p doc/txts
for readme in modules/pam_*/README ; do
	cp -f ${readme} doc/txts/README.`dirname ${readme} | sed -e 's|^modules/||'`
done

autoreconf

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC -I%{_includedir}/db1" \
%configure \
	--sbindir=/sbin \
	--libdir=/%{_lib} \
	--includedir=%{_includedir}/security
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_includedir}/security
mkdir -p $RPM_BUILD_ROOT/%{_lib}/security
make install DESTDIR=$RPM_BUILD_ROOT LDCONFIG=:
install -d -m 755 $RPM_BUILD_ROOT/etc/pam.d
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/other
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/system-auth
chmod 644 $RPM_BUILD_ROOT/etc/pam.d/{other,system-auth}

# Install man pages.
install -m 644 %{SOURCE9} %{SOURCE10} $RPM_BUILD_ROOT%{_mandir}/man5/

# (blino) we don't want to test if SE Linux is built, it's disabled
# Make sure every module subdirectory gave us a module.  Yes, this is hackish.
for dir in modules/pam_* ; do
if [ -d ${dir} ] && [ ${dir} != "modules/pam_selinux" ]; then
	if ! ls -1 $RPM_BUILD_ROOT/%{_lib}/security/`basename ${dir}`*.so ; then
		echo ERROR `basename ${dir}` did not build a module.
		exit 1
	fi
fi
done

install -m 644 %{SOURCE500} $RPM_BUILD_ROOT/etc/security/console.perms.d/50-mandriva.perms

# remove unpackaged files (.la files and duplicate doc)
rm -rf $RPM_BUILD_ROOT/%{_lib}/*.la \
  $RPM_BUILD_ROOT/%{_lib}/security/*.la \
  $RPM_BUILD_ROOT%{_prefix}/doc/Linux-PAM \
  $RPM_BUILD_ROOT%{_datadir}/doc/pam

touch $RPM_BUILD_ROOT%{_sysconfdir}/environment

install -D -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/README.update.urpmi

%find_lang Linux-PAM

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f Linux-PAM.lang
%defattr(-,root,root)
%dir /etc/pam.d
%config(noreplace) /etc/environment
%config(noreplace) /etc/pam.d/other
%config(noreplace) /etc/pam.d/system-auth
%config(noreplace) /etc/security/access.conf
%config(noreplace) /etc/security/chroot.conf
%config(noreplace) /etc/security/time.conf
%config(noreplace) /etc/security/group.conf
%config(noreplace) /etc/security/limits.conf
%config(noreplace) %{_sysconfdir}/security/namespace.conf
%attr(755,root,root) %config(noreplace) %{_sysconfdir}/security/namespace.init
%config(noreplace) /etc/security/pam_env.conf
%config(noreplace) /etc/security/console.perms
%config(noreplace) /etc/security/console.handlers
%dir %{_sysconfdir}/security/console.perms.d
%config(noreplace) /etc/security/console.perms.d/50-default.perms
%config(noreplace) /etc/security/console.perms.d/50-mandriva.perms
/sbin/pam_console_apply
/sbin/pam_tally
/sbin/pam_tally2
%attr(4755,root,root) /sbin/pam_timestamp_check
%attr(4755,root,root) /sbin/unix_chkpwd
%dir /etc/security/console.apps
%dir /var/run/console
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_docdir}/%{name}-%{version}/

%files -n %{libname}
%defattr(-,root,root)
/%{_lib}/libpam.so.*
/%{_lib}/libpamc.so.*
/%{_lib}/libpam_misc.so.*
/%{_lib}/security/*.so
/%{_lib}/security/pam_filter
%dir /%{_lib}/security

%files -n %{libname}-devel
%defattr(-,root,root)
%doc Copyright
/%{_lib}/libpam.so
/%{_lib}/libpam_misc.so
/%{_lib}/libpamc.so
%{_includedir}/security/*.h
%{_mandir}/man3/*

%files doc
%defattr(-,root,root)
%doc doc/txts doc/specs/rfc86.0.txt Copyright



%changelog
* Fri Sep 15 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-15 17:52:09 (61618)
- 0.99.6.0-3mdv

* Fri Sep 15 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-15 17:51:15 (61617)
- chown IR remote controls devices to console user (Anssi Hannula, #24785)

* Fri Sep 15 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-15 17:35:50 (61612)
- add /dev/scd* /dev/sg* /dev/cdrw* /dev/dvdrw* in burner devices list (#25371 and #24541)

* Tue Aug 29 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-29 20:10:06 (58719)
- bump release

* Tue Aug 29 2006 Anssi Hannula <anssi@mandriva.org>
+ 2006-08-29 20:00:28 (58712)
- add /dev/input/by-path/*-joystick to <joystick> class (fixes #23775)
- make <sound> class devices accessible by audio group (fixes #24300)
- make <v4l> and <dvb> class devices accessible by video group (fixes #24786)

* Sun Aug 27 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-27 11:51:58 (58205)
- make cdrom devices owned by cdrom group

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 02:44:00 (55258)
- use ndbm from db1 to build pam_userdb

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 02:42:24 (55255)
- drop html, ps and pdf doc (pdf doc would require Apache's fop to be packaged)

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 02:41:27 (55254)
- make doc/txts directory (not provided upstream anymore)

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 01:43:22 (55249)
- namespace.init is now provided upstream

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 01:41:49 (55248)
- drop more sgml hacks (sgml not used upstream anymore)

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 01:39:55 (55247)
- remove pam-0.77-use_uid.patch (fixed upstream)

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 01:31:08 (55241)
- remove pam_keyinit patches (merged upstream)

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 01:29:40 (55240)
- remove pam-0.99.5.0-access-gai.patch (applied upstream)

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 01:27:31 (55239)
- remove pam-0.99.4.0-succif-service.patch (merged upstream)

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 01:25:13 (55238)
- remove sgml2latex patch, it doesn't apply anymore since xml is used instead of sgml in 0.99.6.0

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 01:23:15 (55237)
- 0.99.6.0

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 01:22:39 (55236)
- really use pam-redhat-0.99.6-1

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 01:18:18 (55235)
- remove patch merged in pam-redhat 0.99.6-1

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 01:14:47 (55234)
- revoke keyrings properly when pam_keyinit called more than once (RH)

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 01:13:39 (55229)
- don't log pam_keyinit debug messages by default

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 01:09:29 (55228)
- drop ainit from console.handlers (RH)

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 01:06:43 (55226)
- add pam_keyinit to the default system-auth file (RH)

* Wed Aug 09 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-09 18:00:54 (54846)
- fixed network match in pam_access (from Redhat)

* Wed Aug 09 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-09 17:54:32 (54833)
- sync with pam-redhat 0.99.6-1 (and rediff mdvperms, RH merged a lot of our permissions)

* Wed Aug 09 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-09 16:08:31 (54747)
- import pam-0.99.5.0-2mdv2007.0

* Mon Jul 03 2006 Olivier Blin <oblin@mandriva.com> 0.99.5.0-2mdv2007.0
- Source500: add ttyACM* devices in the serial class (#23190)
- Patch83 (from Fedora): add service as value to be matched and list
  matching to pam_succeed_if
- use upstream redhat-modules patch

* Wed Jun 28 2006 Olivier Blin <oblin@mandriva.com> 0.99.5.0-1mdv2007.0
- 0.99.5.0
- Patch523: temporary patch to add namespace.init, which is missing from dist
  (extracted from RH old namespace patch)
- package namespace files in /etc/security
- Patch84 (from RH): pam_console_apply shouldn't access /var when called with -r

* Wed Jun 28 2006 Olivier Blin <oblin@mandriva.com> 0.99.4.0-1mdv2007.0
- 0.99.4.0
- from Fedora:
  o pam-0.99.4.0-redhat-modules
  o pam-redhat-0.99.5-1
  o add system-auth and config-util man pages
- drop Patch523 and all pwdb bits
- drop glib2-devel BuildRequires (pam_console_apply don't need it anymore)
- rediff Patch500 (mdv perms)
- drop Patch520 (merged upstream)
- don't check for userdb module, we don't built it
  (it requires an internal libdb copy)
- package pam_tally2

* Thu Feb 02 2006 Olivier Blin <oblin@mandriva.com> 0.99.3.0-6mdk
- update instructions in the README.update.urpmi file (Source4)

* Wed Feb 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.99.3.0-5mdk
- patch 500:
  o fix firewire perms (#20270)
  o fix printer perms (#13013)

* Mon Jan 30 2006 Olivier Blin <oblin@mandriva.com> 0.99.3.0-4mdk
- don't build prelude (#20896)
- Patch523: allow to disable pwdb
- disable pam_pwdb
- make unix_chkpwd setuid root again
- Source2: remove hardcoded /lib/security in source
  (even if spec-helper fixes it later)
- don't add video group in %pre, it's already in the setup package
- remove hardcoded workaround for a (more than) 2 years-old pam
- more BuildRequires fixes: drop autoconf2.1, use glib2-devel
  (thanks to Stefan van der Eijk)
- rpmbuildupdatable
- Source4: README.update.urpmi

* Sat Jan 28 2006 Olivier Blin <oblin@mandriva.com> 0.99.3.0-3mdk
- BuildRequires automake1.8 (Stefan van der Eijk)
- fix again Patch517 (use real patch name)
- fix typo in modules installation test

* Sat Jan 28 2006 Olivier Blin <oblin@mandriva.com> 0.99.3.0-2mdk
- BuildConflicts with libselinux-devel (#20871)
- don't test if modules/pam_selinux is built, we don't want it
- Patch517: fix typo in limits.conf (Andrey Borzenkov, #20872)
- BuildRequires openssl-devel (#20874)
- Patch511: use pam_syslog instead of old _pam_log in pam_limits
  (Andrey Borzenkov, #20876)
- BuildRequires prelude-devel

* Sat Jan 28 2006 Olivier Blin <oblin@mandriva.com> 0.99.3.0-1mdk
- 0.99.3.0
- sync with RH (all of their others patches are either merged upstream,
  or useless in Mandriva, such as SE Linux):
  o drop Patch39 (wasn't needed for 0.77)
  o drop Patch[0,1,2,3,5,6,7,8,9,11,12,13,14,15,16,17,18,19,20],
    Patch[22,23,24,25,26,27,30,31,32,33,35,36,37,40] and Source4
    (dropped during 0.78 upgrade)
  o drop Patch29 (dropped during 0.79 upgrade)
  o drop Patch4 (dropped during 0.80 upgrade)
  o rediff Patch21
  o don't use fakeroot anymore
  o don't enable static-pam
  o drop Patch10 (dropped during 0.99.2.1 upgrade)
  o rediff Patch34
  o fix descriptions
- rediff Patch500, and split out Mandriva-specific perms in Source500
  (installed as 50-mandriva.perms)
- remove devfs-style paths in Patch500/Source500
- drop Patch502 (dead X problem fixed otherwise upstream)
- drop Patch503 (we don't need pam_console_apply_devfsd)
- rediff Patch504 (drop merged parts), Patch508, Patch512
- drop Patch506 (not required anymore to detect cracklib dicts on x86_64)
- drop Patch507 (tty name not found fixed otherwise upstream)
- drop Patch509 (fixed upstream)
- drop Patch513 (fixed otherwise upstream, should still work with lsb-test-pam)
- drop Patch514 (kill pam_console_setowner, pam_console_apply should be used)
- drop Patch515 (/etc/environment test fixed upstream)
- drop Patch516 (RT now supported upstream)
- rediff Patch517 (apply on limits.conf, use new rtprio keyword instead of
  previous rt_priority)
- drop Patch518 (build with gcc 4 works fine now)
- add comments about ghost patches
- Patch520 and Patch521: fix parallel build
- Patch522: ensure that sgml2txt worked
- package new security/console.handlers and security/console.perms.d/
- package pam_filter/upperLOWER
- package libpamc
- package security/chroot.conf
- package lang files
- don't package pwdb_chkpwd
- more description fixes

* Thu Jan 26 2006 Olivier Blin <oblin@mandriva.com> 0.77-37mdk
- handle permissions for /dev/bus/usb

* Tue Jan 24 2006 Olivier Blin <oblin@mandriva.com> 0.77-36mdk
- fix permissions for more DVB devices (merge Patch520 in Patch500)

* Mon Jan 23 2006 Olivier Blin <oblin@mandriva.com> 0.77-35mdk
- update Patch514 to handle multiple arguments in pam_console_setowner,
  (from Andrey Borzenkov, #20269, it's about reimplementing recent
   pam_console_apply in our weird pam_console_setowner)
- use requires instead of prereq for pam-doc

* Tue Jan 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.77-34mdk
- patch 520: set perms for DVB devices (#14688)

* Fri Jan 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.77-33mdk
- drop selinux (P60)
- removed two hunks from P40 (required the selinux patch applied)
- dropped P62 (required the selinux patch applied)
- rebuilt against a non selinux enabled pwdb lib (thanks stefan)

* Tue Oct 04 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.77-32mdk
- fix build on ppc64

* Mon Sep 19 2005 Frederic Lepied <flepied@mandriva.com> 0.77-31mdk
- fix uninitialized variable user (aka fix crash on C3)

* Sat Jul 30 2005 Couriousous <couriousous@mandriva.org> 0.77-30mdk
- Don't apply 64bit patch ( fix #16961 )

* Tue Jun 21 2005 Frederic Lepied <flepied@mandriva.com> 0.77-29mdk
- fixed dependencies

* Sun May 15 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.77-28mdk 
- patch 516: add support for RT/nice rlimit settings (kernel-2.6.12+)
- patch 517: enable new RT privileges for audio group in limits.conf
- patch 518: fix build with gcc-4.0

* Wed Apr 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.77-27mdk 
- Update Patch500 to add /dev/zip* and /dev/jaz* as zip/jaz group for
  console privilege

* Wed Sep 29 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.77-26mdk
- give access to /dev/nvram in ro for console users
- handle /dev/dri* and /dev/nvidia the same way in startx and *dm modes.

* Mon Sep 20 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.77-25mdk
- pam_env: don't abort if /etc/environment isn't present (Oded Arbel)
- fix BuildRequires (Oded Arbel)
- create an empty /etc/environment
- add USB joystick devices to console.perms (bug #11190)

* Thu Sep 16 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.77-24mdk
- really build pam_console_apply_devfs against glib-1.2

* Fri Sep 10 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.77-23mdk
- fixed debug code in pam_console_apply_devfsd
- added a way to debug pam_console_setowner by setting PAM_DEBUG env variable
- don't apply patch63 to have console.lock at the usual place

* Thu Sep 09 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.77-22mdk
- implement pam_console_setowner for udev

* Wed Sep 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.77-21mdk
- add sr* to cdrom group

* Tue Sep 07 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.77-20mdk
- fixed lookup when a group or a user doesn't exist (bug #11256)
- fixed the group of audio devices when nobody is connected

* Mon Aug 23 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.77-19mdk
- added /dev/rfcomm* /dev/ircomm* to serial group (Fred Crozat)

* Mon Aug 23 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.77-18mdk
- put back <serial> group in console.perms

* Mon Aug 23 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.77-17mdk
- manage dri files perm (bug #10876 )
- manage perm of /dev/raw1394 (bug #9240)
- console.perms more group friendly (bug #3033)
- merged with rh 0.77-54

* Tue Jul 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.77-16mdk
- Update patch16 to give console permissions to rfcomm devices

* Mon Jul 05 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.77-15mdk
- fixed typo in provides for devel package

* Fri Jul 02 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.77-14mdk
- patch for lsb2 lsb-test-pam compliance (patch513)

* Sun Jun 13 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.77-13mdk
- fix buildrequires
- fix provides
- cosmetics

* Tue Feb 24 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.77-12mdk
- console.perms: /proc/usb => /proc/bus/usb (Marcel Pol) [bug #8285]

* Thu Feb 19 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.77-11mdk
- added a trigger to be able to upgrade

* Thu Oct 09 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.77-10mdk
- rebuild with new spec-helper to fix pam.d config files to be lib64 compliant
- libification

* Mon Sep 01 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.77-9mdk
- added a prereq on rpm-helper

* Wed Aug 27 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.77-8mdk
- added video group in %pre

* Mon Aug 25 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.77-7mdk
- fixed patch512 to use the right way to initialize the supplementary groups

* Mon Aug 25 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.77-6mdk
- make pam_xauth works in high security levels (patch512)
- added rtc to console.perms in v4l group
- make pam_limits more verbose (patch511)

* Wed Jul 30 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.77-5mdk
- BuildRequires: db4-devel >= 4.0.14

* Fri Jul 18 2003 Warly <warly@mandrakesoft.com> 0.77-4mdk
- remove cracklib requires (should autoreq libcrack)

* Thu Jul 17 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.77-3mdk
- patch 510: support kernel*2.5.x

* Sat Jul 12 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.77-2mdk
- fixed pam_console_apply_devfsd.so link

* Thu Jul 10 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.77-1mdk
- merged 0.77

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.75-34mdk
- Rebuild

